当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 5 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 请教:以下编译错误是否和gcc版本有关,还是装漏软件包了?谢谢!
帖子发表于 : 2009-10-10 0:39 
头像

注册: 2009-01-19 23:03
帖子: 2354
送出感谢: 5
接收感谢: 0 次
lunar.c: 在函数‘mark_day_on_calendar’中:
lunar.c:1128: 警告:隐式声明函数‘lunar_calendar_mark_day’
lunar.c:1128: 警告:隐式声明函数‘LUNAR_CALENDAR’
lunar.c: 在函数‘handle_appointments_changed’中:
lunar.c:1138: 警告:隐式声明函数‘lunar_calendar_clear_marks’
lunar.c: 在函数‘calendar_day_activated’中:
lunar.c:1271: 警告:隐式声明函数‘lunar_calendar_get_date’
lunar.c: 在函数‘create_calendar’中:
lunar.c:1453: 警告:隐式声明函数‘lunar_calendar_new’
lunar.c:1453: 警告:赋值时将整数赋给指针,未作类型转换
lunar.c:1457: 警告:隐式声明函数‘lunar_calendar_get_display_options’
lunar.c:1459: 错误:‘LUNAR_CALENDAR_SHOW_WEEK_NUMBERS’未声明(在此函数内第一次使用)
lunar.c:1459: 错误:(即使在一个函数内多次出现,每个未声明的标识符在其
lunar.c:1459: 错误:所在的函数内也只报告一次。)
lunar.c:1461: 错误:‘LUNAR_CALENDAR_SHOW_LUNAR’未声明(在此函数内第一次使用)
lunar.c:1464: 警告:隐式声明函数‘lunar_calendar_set_display_options’
lunar.c:1470: 警告:隐式声明函数‘lunar_calendar_select_month’
lunar.c:1473: 警告:隐式声明函数‘lunar_calendar_select_day’
lunar.c: 在函数‘show_week_changed’中:
lunar.c:2202: 错误:‘LUNAR_CALENDAR_SHOW_WEEK_NUMBERS’未声明(在此函数内第一次使用)
make[2]: *** [lunar_applet-lunar.o] 错误 1


最后由 白鳍豚 编辑于 2009-10-10 0:45,总共编辑了 1 次

页首
 用户资料  
 
2 楼 
 文章标题 : Re: 请教:以下编译错误是否和gcc版本有关?谢谢!
帖子发表于 : 2009-10-10 0:44 
头像

注册: 2009-01-19 23:03
帖子: 2354
送出感谢: 5
接收感谢: 0 次
configure通过
make时出现一楼错误


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 请教:以下编译错误是否和gcc版本有关,还是装漏软件包了?谢谢!
帖子发表于 : 2009-10-10 0:46 
头像

注册: 2009-01-19 23:03
帖子: 2354
送出感谢: 5
接收感谢: 0 次
base-devel包组已经安装


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 请教:以下编译错误是否和gcc版本有关,还是装漏软件包了?谢谢!
帖子发表于 : 2009-10-10 1:03 
头像

注册: 2009-08-17 3:52
帖子: 1099
送出感谢: 0 次
接收感谢: 1
有三个标识符没定义,检查头文件及其相关库的链接,检查#define 语句及其标识符是否拼写错误。。。如果是下载下来的源码包,有些库文件升级后改了函数,检查其需要的库文件的版本问题,检查md5,算了,修改还麻烦死了,apt或DEB吧
,应该跟Gcc无关。


 
该条信息是由slax用户用手机Ubuntu发出的,我也要用手机发送Ubuntu信息(详情请登录3g.ubuntu.org查询)


_________________
We believe that the internet should be public, open and accessible.
软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。
iceplayer! linux音乐新体验~ 最新版本4.0.5-20110520已更新!http://forum.ubuntu.org.cn/viewtopic.php?f=137&t=252461
想要iceplayer 测试版麼?加入QQ群80071264吧,在code.google也可找到
http://www.iceplayer.org/
http://jasy.ice.blog.163.com/


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 请教:以下编译错误是否和gcc版本有关,还是装漏软件包了?谢谢!
帖子发表于 : 2009-10-10 11:55 
头像

注册: 2009-01-19 23:03
帖子: 2354
送出感谢: 5
接收感谢: 0 次
谢谢!arch没发apt。应该函数变了,不会编程,玩不了了


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 5 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
cron
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译